{"openapi":"3.1.0","info":{"title":"EOR Endpoints","version":"1.0.0"},"paths":{"/adjustments":{"post":{"operationId":"create-contract-adjustment","summary":"Create a new adjustment","description":"Creates a new payroll adjustment for a contract, modifying the payment amount on the next payment cycle. The `adjustment_category_id` must reference a valid category retrieved from `GET /adjustments/categories`.\n **Token scopes**: `adjustments:write`","tags":["subpackage_adjustments"],"parameters":[{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/adjustments_createContractAdjustment_Response_201"}}}},"400":{"description":"Bad Request – failed to create adjustments","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateANewAdjustment-v2026-01-01RequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}},"requestBody":{"description":"Creation data for a new adjustment","content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary","description":"File of adjustment."},"title":{"type":"string","description":"Title of adjustment."},"amount":{"$ref":"#/components/schemas/AdjustmentsPostRequestBodyContentMultipartFormDataSchemaAmount","description":"Amount of adjustment."},"vendor":{"type":"string","description":"Vendor of adjustment."},"country":{"type":"string","description":"Country code."},"contract_id":{"type":"string","description":"The identifier of the contract associated with the adjustment"},"description":{"type":"string","description":"Description of adjustment."},"cycle_reference":{"type":"string","description":"Cycle reference of adjustment."},"move_next_cycle":{"type":["boolean","null"],"description":"If an adjustments can belong to another payroll cycle."},"date_of_adjustment":{"type":["string","null"],"format":"date","description":"Short date in format ISO-8601 (YYYY-MM-DD). For example: 2022-12-31."},"adjustment_category_id":{"type":"string","description":"Adjustment category id."}},"required":["file","title","amount","vendor","country","contract_id","description","adjustment_category_id"]}}}}}},"/adjustments/{id}":{"delete":{"operationId":"delete-contract-adjustment","summary":"Delete an adjustment","description":"Permanently deletes an adjustment by its id.\n **Token scopes**: `adjustments:write`","tags":["subpackage_adjustments"],"parameters":[{"name":"id","in":"path","description":"Deel adjustment id.","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/adjustments_deleteContractAdjustment_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}}},"get":{"operationId":"get-contract-adjustment","summary":"Retrieve an adjustment","description":"Retrieves a specific adjustment by its id, including its amount, status, payment cycle dates, and associated contract_id.\n **Token scopes**: `adjustments:read`","tags":["subpackage_adjustments"],"parameters":[{"name":"id","in":"path","description":"Deel adjustment id.","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/adjustments_getContractAdjustment_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveAnAdjustmentRequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}}},"patch":{"operationId":"update-contract-adjustment","summary":"Update an adjustment","description":"Applies a partial update to an existing adjustment. Only fields included in the request body are modified; omitted fields retain their current values.\n **Token scopes**: `adjustments:write`","tags":["subpackage_adjustments"],"parameters":[{"name":"id","in":"path","description":"Deel adjustment id.","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/adjustments_updateContractAdjustment_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}},"requestBody":{"description":"Adjustment object that needs to be updated","content":{"multipart/form-data":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/AdjustmentsIdPatchRequestBodyContentMultipartFormDataSchemaData","description":"Details of adjustment to update"}},"required":["data"]}}}}}},"/contracts/{contract_id}/adjustments":{"get":{"operationId":"get-contract-adjustments","summary":"Retrieve adjustments","description":"Retrieves all adjustments associated with a specific contract, optionally scoped to a date range.\n **Token scopes**: `adjustments:read`","tags":["subpackage_adjustments"],"parameters":[{"name":"contract_id","in":"path","description":"Deel adjustment id.","required":true,"schema":{"type":"string"}},{"name":"from","in":"query","description":"Filter adjustments by start date.","required":false,"schema":{"type":"string","format":"date"}},{"name":"to","in":"query","description":"Filter adjustments by end date.","required":false,"schema":{"type":"string","format":"date"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/adjustments_getContractAdjustments_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveAdjustmentsRequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}}}},"/adjustments/categories":{"get":{"operationId":"get-adjustment-categories","summary":"Retrieve categories","description":"Returns the available adjustment categories, optionally filtered by contract type. Category IDs returned here are required when creating adjustments and define the type and accounting treatment applied.\n **Token scopes**: `adjustments:read`","tags":["subpackage_adjustments"],"parameters":[{"name":"contract_types","in":"query","description":"array of contract types to filter categories","required":false,"schema":{"type":"array","items":{"$ref":"#/components/schemas/AdjustmentsCategoriesGetParametersContractTypesSchemaItems"}}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/adjustments_getAdjustmentCategories_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}}}},"/eor/contracts/{contract_id}/amendments/{amendment_id}/accept":{"post":{"operationId":"accept-contract-amendment","summary":"Accept amendment","description":"Accepts a pending amendment on an EOR worker contract, formally approving the proposed modifications on the client's behalf. The amendment must already exist and be in a pending state before this operation can be called.\n **Token scopes**: `contracts:write`","tags":["subpackage_eorAmendments"],"parameters":[{"name":"contract_id","in":"path","description":"The unique identifier of EOR worker contract.","required":true,"schema":{"type":"string","format":"alphanumeric"}},{"name":"amendment_id","in":"path","description":"A unique identifier for the employee contract amendment.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Amendment info","content":{"application/json":{"schema":{"$ref":"#/components/schemas/eor-amendments_acceptContractAmendment_Response_200"}}}},"400":{"description":"Bad Request. The request could not be understood or was missing required parameters.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AcceptAContractAmendmentOnBehalfOfTheClientRequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Resource not found (e.g., contract, profile, amendment, change request).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AcceptAContractAmendmentOnBehalfOfTheClientRequestNotFoundError"}}}},"500":{"description":"Internal server error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AcceptAContractAmendmentOnBehalfOfTheClientRequestInternalServerError"}}}}},"requestBody":{"description":"This operation does not require a request body. Provide an empty JSON object if required by the client.","content":{"application/json":{"schema":{"type":"object","properties":{}}}}}}},"/eor/contracts/{contract_id}/amendments/{amendment_id}":{"delete":{"operationId":"delete-contract-amendment","summary":"Cancel amendment","description":"Cancels a pending EOR contract amendment, voiding the request and preventing it from being reviewed or applied to the contract.\n **Token scopes**: `contracts:write`","tags":["subpackage_eorAmendments"],"parameters":[{"name":"contract_id","in":"path","description":"The unique identifier of EOR worker contract.","required":true,"schema":{"type":"string","format":"alphanumeric"}},{"name":"amendment_id","in":"path","description":"A unique identifier for the employee contract amendment.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/eor-amendments_deleteContractAmendment_Response_200"}}}},"400":{"description":"Bad Request. The request could not be understood or was missing required parameters.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CancelAmendmentRequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Resource not found (e.g., contract, profile, amendment, change request).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CancelAmendmentRequestNotFoundError"}}}},"500":{"description":"Internal server error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CancelAmendmentRequestInternalServerError"}}}}}},"get":{"operationId":"get-contract-amendment-by-id","summary":"Get amendment by ID","description":"Retrieves a specific amendment for an EOR contract.\n **Token scopes**: `contracts:read`","tags":["subpackage_eorAmendments"],"parameters":[{"name":"contract_id","in":"path","description":"The unique identifier of EOR worker contract.","required":true,"schema":{"type":"string","format":"alphanumeric"}},{"name":"amendment_id","in":"path","description":"A unique identifier for the employee contract amendment.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Amendment info","content":{"application/json":{"schema":{"$ref":"#/components/schemas/eor-amendments_getContractAmendmentById_Response_200"}}}},"400":{"description":"Bad Request. The request could not be understood or was missing required parameters.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ViewInformationAboutAmendmentRequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Resource not found (e.g., contract, profile, amendment, change request).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ViewInformationAboutAmendmentRequestNotFoundError"}}}},"500":{"description":"Internal server error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ViewInformationAboutAmendmentRequestInternalServerError"}}}}}},"patch":{"operationId":"update-contract-amendment","summary":"Update amendment","description":"Applies a partial update to a specific EOR contract amendment. The amendment must be in DRAFT status; updates to amendments in any other state will be rejected. This operation overwrites existing draft data and cannot be undone.\n **Token scopes**: `contracts:write`","tags":["subpackage_eorAmendments"],"parameters":[{"name":"contract_id","in":"path","description":"The unique identifier of EOR worker contract.","required":true,"schema":{"type":"string","format":"alphanumeric"}},{"name":"amendment_id","in":"path","description":"A unique identifier for the employee contract amendment. This string is either supplied by the client or generated by the system and is used to uniquely identify the amendment during upsert operations.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Amendment info","content":{"application/json":{"schema":{"$ref":"#/components/schemas/eor-amendments_updateContractAmendment_Response_200"}}}},"400":{"description":"Bad Request. The request could not be understood or was missing required parameters.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateASpecificEorContractAmendmentRequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Resource not found (e.g., contract, profile, amendment, change request).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateASpecificEorContractAmendmentRequestNotFoundError"}}}},"409":{"description":"Conflict error. Indicates that the requested operation conflicts with the current state of the resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateASpecificEorContractAmendmentRequestConflictError"}}}},"422":{"description":"Validation errors or disabled amendments.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateASpecificEorContractAmendmentRequestUnprocessableEntityError"}}}},"500":{"description":"Internal server error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateASpecificEorContractAmendmentRequestInternalServerError"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/EorContractsContractIdAmendmentsAmendmentIdPatchRequestBodyContentApplicationJsonSchemaData"}}}}}}}},"/eor/contracts/{contract_id}/amendments/{amendment_id}/confirm":{"post":{"operationId":"confirm-contract-amendment","summary":"Confirm amendment","description":"Confirms a draft amendment on an EOR contract and initiates the review process, routing it to Deel and the employee for acknowledgment and approval. The amendment must exist in a confirmable state prior to calling this endpoint.\n **Token scopes**: `contracts:write`","tags":["subpackage_eorAmendments"],"parameters":[{"name":"contract_id","in":"path","description":"The unique identifier of EOR worker contract.","required":true,"schema":{"type":"string","format":"alphanumeric"}},{"name":"amendment_id","in":"path","description":"A unique identifier for the employee contract amendment.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Amendment info","content":{"application/json":{"schema":{"$ref":"#/components/schemas/eor-amendments_confirmContractAmendment_Response_200"}}}},"400":{"description":"Bad Request. The request could not be understood or was missing required parameters.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConfirmAnExistingContractAmendment-v2026-01-01RequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Resource not found (e.g., contract, profile, amendment, change request).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConfirmAnExistingContractAmendment-v2026-01-01RequestNotFoundError"}}}},"500":{"description":"Internal server error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConfirmAnExistingContractAmendment-v2026-01-01RequestInternalServerError"}}}}},"requestBody":{"description":"This operation does not require a request body. Provide an empty JSON object if required by the client.","content":{"application/json":{"schema":{"type":"object","properties":{}}}}}}},"/eor/contracts/{contract_id}/amendments/{amendment_id}/pdf":{"get":{"operationId":"get-contract-amendment-pdf","summary":"Contract amendment PDF","description":"Generates a secure, time-limited download URL for the PDF of a specific EOR contract amendment. The returned URL is valid for 15 minutes from the time of generation.\n **Token scopes**: `contracts:read`","tags":["subpackage_eorAmendments"],"parameters":[{"name":"contract_id","in":"path","description":"The unique identifier of EOR worker contract.","required":true,"schema":{"type":"string","format":"alphanumeric"}},{"name":"amendment_id","in":"path","description":"A unique identifier for the employee contract amendment.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"URL of exported PDF(valid for 15m)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/eor-amendments_getContractAmendmentPdf_Response_200"}}}},"400":{"description":"Bad Request. The request could not be understood or was missing required parameters.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetEorContractAmendmentPdfDownloadLinkForClientAndEmployeeRequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Resource not found (e.g., contract, profile, amendment, change request).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetEorContractAmendmentPdfDownloadLinkForClientAndEmployeeRequestNotFoundError"}}}},"500":{"description":"Internal server error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetEorContractAmendmentPdfDownloadLinkForClientAndEmployeeRequestInternalServerError"}}}}}}},"/eor/contracts/{contract_id}/amendments":{"post":{"operationId":"create-contract-amendment","summary":"Create amendment","description":"Creates a new amendment for an existing EOR contract, supporting changes to terms such as salary, currency, effective date, and other contract conditions. All requests are validated against applicable business and regulatory rules before the amendment is accepted.\n **Token scopes**: `contracts:write`","tags":["subpackage_eorAmendments"],"parameters":[{"name":"contract_id","in":"path","description":"The unique identifier of the EOR worker contract","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"Amendment info","content":{"application/json":{"schema":{"$ref":"#/components/schemas/eor-amendments_createContractAmendment_Response_201"}}}},"400":{"description":"Bad Request. The request could not be understood or was missing required parameters.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAnEorContractAmendment-v2026-01-01RequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Resource not found (e.g., contract, profile, amendment, change request).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAnEorContractAmendment-v2026-01-01RequestNotFoundError"}}}},"409":{"description":"Conflict error. Indicates that the requested operation conflicts with the current state of the resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAnEorContractAmendment-v2026-01-01RequestConflictError"}}}},"422":{"description":"Validation errors or disabled amendments.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAnEorContractAmendment-v2026-01-01RequestUnprocessableEntityError"}}}},"500":{"description":"Internal server error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAnEorContractAmendment-v2026-01-01RequestInternalServerError"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/EorContractsContractIdAmendmentsPostRequestBodyContentApplicationJsonSchemaData"}}}}}}},"get":{"operationId":"get-contract-amendments","summary":"Get amendments by contract","description":"Retrieves all amendments associated with a given EOR contract, including each amendment's type, effective date, and current status, providing a full history of changes applied to the contract.\n **Token scopes**: `contracts:read`","tags":["subpackage_eorAmendments"],"parameters":[{"name":"contract_id","in":"path","description":"The unique identifier of EOR worker contract.","required":true,"schema":{"type":"string","format":"alphanumeric"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Amendment info. Returns the amendment flow details.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/eor-amendments_getContractAmendments_Response_200"}}}},"400":{"description":"Bad Request. The request could not be understood or was missing required parameters.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListAllAmendmentsForAnEorContract-v2026-01-01RequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Resource not found (e.g., contract, profile, amendment, change request).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListAllAmendmentsForAnEorContract-v2026-01-01RequestNotFoundError"}}}},"500":{"description":"Internal server error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListAllAmendmentsForAnEorContract-v2026-01-01RequestInternalServerError"}}}}}}},"/eor/contracts/{contract_id}/amendments/validation/settings":{"get":{"operationId":"get-contract-amendments-validation-settings","summary":"Get amendment validation settings","description":"Returns the validation settings for all available amendment data points on an EOR contract, optionally scoped to a specific employment state. Use these settings to determine which fields are editable and what constraints apply before constructing an amendment request.\n **Token scopes**: `contracts:read`","tags":["subpackage_eorAmendments"],"parameters":[{"name":"contract_id","in":"path","description":"The unique identifier of EOR worker contract.","required":true,"schema":{"type":"string","format":"alphanumeric"}},{"name":"employment_state","in":"query","description":"The employment state of the EOR worker contract","required":false,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Amendment settings response with additional_details included as optional.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/eor-amendments_getContractAmendmentsValidationSettings_Response_200"}}}},"400":{"description":"Bad Request. The request could not be understood or was missing required parameters.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetAmendmentValidationSettingsForAnEorContractRequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Resource not found (e.g., contract, profile, amendment, change request).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetAmendmentValidationSettingsForAnEorContractRequestNotFoundError"}}}},"500":{"description":"Internal server error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetAmendmentValidationSettingsForAnEorContractRequestInternalServerError"}}}}}}},"/eor/contracts/{contract_id}/amendments/{amendment_id}/effective-date-limitations":{"get":{"operationId":"get-contract-amendment-effective-date-limitations","summary":"Retrieve Effective Date Limitations","description":"Returns validation rules for the effective date field within an EOR contract amendment flow.\n **Token scopes**: `contracts:read`","tags":["subpackage_eorAmendments"],"parameters":[{"name":"contract_id","in":"path","description":"The unique identifier of the EOR worker contract","required":true,"schema":{"type":"string"}},{"name":"amendment_id","in":"path","description":"A unique identifier for the employee contract amendment","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns the effective date limits for the amendment.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/eor-amendments_getContractAmendmentEffectiveDateLimitations_Response_200"}}}},"400":{"description":"Bad Request. The request could not be understood or was missing required parameters.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveEffectiveDateLimitationsRequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Resource not found (e.g., contract, profile, amendment, change request).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveEffectiveDateLimitationsRequestNotFoundError"}}}},"500":{"description":"Internal server error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveEffectiveDateLimitationsRequestInternalServerError"}}}}}}},"/eor/contracts/{contract_id}/amendments/{amendment_id}/sign":{"post":{"operationId":"sign-eor-amendment","summary":"Sign a contract amendment (employee)","description":"Records the employee's signature on a specific contract amendment, confirming acceptance of the amendment terms. Returns the updated amendment record upon successful signing.\n **Token scopes**: `worker:write`","tags":["subpackage_eorAmendments"],"parameters":[{"name":"contract_id","in":"path","description":"The unique identifier of EOR worker contract.","required":true,"schema":{"type":"string","format":"alphanumeric"}},{"name":"amendment_id","in":"path","description":"A unique identifier for the employee contract amendment.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Amendment info","content":{"application/json":{"schema":{"$ref":"#/components/schemas/eor-amendments_signEORAmendment_Response_200"}}}},"400":{"description":"Bad Request. The request could not be understood or was missing required parameters.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SignAContractAmendmentEmployeeRequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Resource not found (e.g., contract, profile, amendment, change request).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SignAContractAmendmentEmployeeRequestNotFoundError"}}}},"500":{"description":"Internal server error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SignAContractAmendmentEmployeeRequestInternalServerError"}}}}},"requestBody":{"description":"This operation does not require a request body. Provide an empty JSON object if required by the client.","content":{"application/json":{"schema":{"type":"object","properties":{}}}}}}},"/eor/contracts/{contract_id}/amendments/validate":{"post":{"operationId":"validate-eor-amendments","summary":"Validate amendment data points","description":"Validates amendment data points for a given contract against any external validation rules before an amendment is submitted. This call should be made prior to creating an amendment to confirm that the proposed data points are acceptable.\n **Token scopes**: `contracts:write`","tags":["subpackage_eorAmendments"],"parameters":[{"name":"contract_id","in":"path","description":"The unique identifier of the employee contract.","required":true,"schema":{"type":"string","format":"alphanumeric"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Validation result","content":{"application/json":{"schema":{"$ref":"#/components/schemas/eor-amendments_validateEORAmendments_Response_200"}}}},"400":{"description":"Bad Request. The request could not be understood or was missing required parameters.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidateAmendmentDataPointsRequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Resource not found (e.g., contract, profile, amendment, change request).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidateAmendmentDataPointsRequestNotFoundError"}}}},"500":{"description":"Internal server error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidateAmendmentDataPointsRequestInternalServerError"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","additionalProperties":{"description":"Any type"},"description":"Dynamic object containing amendment fields. Supports flexible keys such as scope, job_title, or others."}}}}}}}},"/eor/{contract_id}/benefits":{"get":{"operationId":"get-eor-benefits-by-contract-id","summary":"Retrieve Benefits for EOR Contract","description":"Returns benefits associated with the specified EOR contract.\n **Token scopes**: `contracts:read`","tags":["subpackage_eorBenefits"],"parameters":[{"name":"contract_id","in":"path","description":"Deel contract ID.","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successfully retrieved the list of EOR contract benefits.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/eor-benefits_getEORBenefitsByContractId_Response_200"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}}}},"/eor":{"post":{"operationId":"create-eor-contract","summary":"Create an EOR contract","description":"Submits details for an Employee of Record (EOR) contract and returns a quote. Deel processes the submitted information and returns pricing, compensation, and health plan details before the contract is activated.\n **Token scopes**: `contracts:write`","tags":["subpackage_eorContract"],"parameters":[{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"Successfully created the EOR contract quote.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/eor-contract_createEORContract_Response_201"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}},"requestBody":{"description":"The details of the Employee (EOR) contract to be created.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/EorPostRequestBodyContentApplicationJsonSchemaData"}},"required":["data"]}}}}}},"/eor/contracts/{contract_id}/details":{"get":{"operationId":"get-eor-contract-details","summary":"Retrieve EOR Contract Details","description":"Returns basic contract information and associated employment costs for a specific EOR contract.\n **Token scopes**: `contracts:read`","tags":["subpackage_eorContract"],"parameters":[{"name":"contract_id","in":"path","description":"The unique identifier for the Deel contract","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/eor-contract_getEORContractDetails_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Access denied","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveEorContractDetails-v2026-01-01RequestForbiddenError"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}}}},"/eor/contract/{contract_id}":{"patch":{"operationId":"update-eor-contract","summary":"Update EOR Contract","description":"Applies partial updates to mutable fields of an EOR contract, such as salary, job title, or benefits. Only fields included in the request body are modified; fields required for validation must still be present.\n **Token scopes**: `contracts:write`","tags":["subpackage_eorContract"],"parameters":[{"name":"contract_id","in":"path","description":"The unique identifier of the employee contract.","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Contract updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/eor-contract_updateEORContract_Response_200"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateEorContractRequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateEorContractRequestForbiddenError"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateEorContractRequestNotFoundError"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateEorContractRequestInternalServerError"}}}}},"requestBody":{"description":"Contract update request object","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/EorContractContractIdPatchRequestBodyContentApplicationJsonSchemaData"}},"required":["data"]}}}}}},"/eor/contracts/{contract_id}/documents/{type}":{"get":{"operationId":"get-eor-contract-documents","summary":"Fetch EOR contract document","description":"Returns a specific document as a PDF for a given EOR contract. Currently only the `FRAMEWORK_AGREEMENT` document type is supported.\n **Token scopes**: `contracts:read`","tags":["subpackage_eorContractDocuments"],"parameters":[{"name":"contract_id","in":"path","description":"EOR contract ID","required":true,"schema":{"type":"string"}},{"name":"type","in":"path","description":"The type of document. Currently only FRAMEWORK_AGREEMENT is supported.","required":true,"schema":{"$ref":"#/components/schemas/EorContractsContractIdDocumentsTypeGetParametersType"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The document as a PDF","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FetchEorContractDocumentRequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}}}},"/eor/employment_cost":{"post":{"operationId":"get-employment-cost","summary":"Calculate Employee Costs Globally","description":"Calculates the total employment cost for an EOR arrangement in a specified country, returning a breakdown that includes employer costs, benefits, platform fees, and severance accrual.","tags":["subpackage_costCalculator"],"parameters":[{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successfully calculated employee costs.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/cost-calculator_getEmploymentCost_Response_200"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/EorEmploymentCostPostRequestBodyContentApplicationJsonSchemaData"}}}}}}}},"/eor/contract/{oid}/cancel":{"post":{"operationId":"cancel-contract","summary":"Cancel EOR Contract","description":"Cancels the EOR contract identified by oid. The contract must be in an active or pending state to be eligible for cancellation.\n **Token scopes**: `contracts:write`","tags":["subpackage_eorHiring"],"parameters":[{"name":"oid","in":"path","description":"Contract oid","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Contract cancelled successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/eor-hiring_cancelContract_Response_204"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CancelEorContractRequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Contract not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CancelEorContractRequestNotFoundError"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}},"requestBody":{"description":"Cancel EOR Contract","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/EorContractOidCancelPostRequestBodyContentApplicationJsonSchemaData"}},"required":["data"]}}}}}},"/eor/contract/{oid}/delay-onboarding":{"patch":{"operationId":"delay-onboarding","summary":"Delay EOR employee onboarding","description":"Defers the scheduled onboarding start date for the EOR employee on the specified contract.\n **Token scopes**: `contracts:write`","tags":["subpackage_eorHiring"],"parameters":[{"name":"oid","in":"path","description":"Contract oid","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Employee onboarding delay status updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/eor-hiring_delayOnboarding_Response_200"}}}},"400":{"description":"Bad Request - Contract not found or invalid status","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DelayEorEmployeeOnboardingRequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}},"requestBody":{"description":"Indicates if the employee onboarding is delayed","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/EorContractOidDelayOnboardingPatchRequestBodyContentApplicationJsonSchemaData"}},"required":["data"]}}}}}},"/forms/eor/create-contract/{country_code}":{"get":{"operationId":"get-create-contract-form","summary":"Fetch EOR Contract form","description":"Retrieves the versioned form definition for creating an EOR contract in the specified country, including fields, validation rules, and conditional logic. The `state` parameter is only required for countries that mandate it.\n **Token scopes**: `forms:read`","tags":["subpackage_eorHiring"],"parameters":[{"name":"country_code","in":"path","description":"Two-letter country code in ISO 3166-1 alpha-2 format","required":true,"schema":{"type":"string"}},{"name":"state","in":"query","description":"The selected state code of the contract. This is only required for countries that specify it.","required":false,"schema":{"type":"string"}},{"name":"start_date","in":"query","description":"The selected start date of the contract in ISO 8601 formatted date string.","required":false,"schema":{"type":"string"}},{"name":"work_hours_per_week","in":"query","description":"The selected number of work hours per week.","required":false,"schema":{"type":"integer"}},{"name":"contract_duration_in_days","in":"query","description":"The contract duration in days for definite contracts.","required":false,"schema":{"type":"integer"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response containing form configuration data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/eor-hiring_getCreateContractForm_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FetchEorContractFormRequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}}}},"/eor/start-date":{"get":{"operationId":"get-start-date","summary":"Fetch Start Date for EOR Contracts","description":"Returns the earliest allowed start date for a new EOR contract quote based on the specified employment country, nationality, and visa requirements. The response also includes payroll timing parameters — `start_date_buffer`, `first_payroll_lock`, and `is_same_month_payment_country` — that govern when the contract can take effect.\n **Token scopes**: `contracts:read`","tags":["subpackage_eorHiring"],"parameters":[{"name":"employment_country","in":"query","description":"Employment country in ISO 3166-1 alpha-2 format","required":true,"schema":{"type":"string"}},{"name":"employee_nationality","in":"query","description":"Employee nationality in ISO 3166-1 alpha-2 format","required":false,"schema":{"type":"string"}},{"name":"work_visa","in":"query","description":"Whether a work visa is required","required":false,"schema":{"type":"boolean"}},{"name":"team_id","in":"query","description":"Team ID","required":true,"schema":{"type":"string"}},{"name":"legal_entity_id","in":"query","description":"Legal entity ID","required":false,"schema":{"type":"string"}},{"name":"employment_state","in":"query","description":"State or province of employment","required":false,"schema":{"type":"string"}},{"name":"special_job_id","in":"query","description":"Special job ID (if applicable)","required":false,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Start date details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/eor-hiring_getStartDate_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FetchStartDateForEorContractsRequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}}}},"/eor/additional-costs/{country}":{"get":{"operationId":"get-additional-costs","summary":"Get EOR Additional Costs","description":"Returns the allowances and non-statutory additional costs available for inclusion in an EOR contract quote for the specified country.\n **Token scopes**: `contracts:read`","tags":["subpackage_eorHiring"],"parameters":[{"name":"country","in":"path","description":"The two-letter ISO code of the country for which to retrieve the EOR additional costs.","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/eor-hiring_getAdditionalCosts_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetEorAdditionalCostsRequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}}}},"/eor/benefits":{"get":{"operationId":"get-benefits","summary":"Retrieve Benefits by Country","description":"Returns benefits available in a specific country, scoped by work visa requirement, weekly work hours, employment type, team, and legal entity.\n **Token scopes**: `benefits:read`","tags":["subpackage_eorHiring"],"parameters":[{"name":"country_code","in":"query","description":"Country code.","required":true,"schema":{"type":"string"}},{"name":"work_visa","in":"query","description":"Indicates if work visa is required.","required":true,"schema":{"type":"boolean"}},{"name":"work_hours_per_week","in":"query","description":"Working hours per week","required":true,"schema":{"type":"number","format":"double"}},{"name":"employment_type","in":"query","description":"Type of employment","required":true,"schema":{"$ref":"#/components/schemas/EorBenefitsGetParametersEmploymentType"}},{"name":"team_id","in":"query","description":"The ID of the team the worker belongs to.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"legal_entity_id","in":"query","description":"The ID of the legal entity.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/eor-hiring_getBenefits_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveBenefitsByCountryRequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}}}},"/eor/validations/{country_code}":{"get":{"operationId":"get-eor-hiring-guide-by-country","summary":"Retrieve detailed hiring guide for a country","description":"Returns country-specific hiring guide data — including salary requirements, holidays, probation terms, health insurance, and currency — for use in creating and validating EOR contract quotes.\n **Token scopes**: `contracts:read`","tags":["subpackage_eorHiring"],"parameters":[{"name":"country_code","in":"path","description":"The two-letter ISO code of the country for which to retrieve the hiring guide.","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The hiring guide data was successfully retrieved.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/eor-hiring_getEORHiringGuideByCountry_Response_200"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}}}},"/eor/contracts/{contract_id}/documents/{type}/sign":{"post":{"operationId":"sign-contract-document","summary":"Sign EOR contract document","description":"Applies a signature and job title to a specified EOR contract document. Currently only the `FRAMEWORK_AGREEMENT` document type is supported.\n **Token scopes**: `contracts:write`","tags":["subpackage_eorHiring"],"parameters":[{"name":"contract_id","in":"path","description":"EOR contract ID","required":true,"schema":{"type":"string"}},{"name":"type","in":"path","description":"The type of document. Currently only FRAMEWORK_AGREEMENT is supported.","required":true,"schema":{"$ref":"#/components/schemas/EorContractsContractIdDocumentsTypeSignPostParametersType"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The document has been signed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/eor-hiring_signContractDocument_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SignEorContractDocumentRequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/EorContractsContractIdDocumentsTypeSignPostRequestBodyContentApplicationJsonSchemaData"}}}}}}}},"/eor/contracts/{contract_id}/employee-information":{"patch":{"operationId":"update-contract-employee-information","summary":"Update Employee Information for EOR Contract","description":"Applies partial updates to employee information on an EOR contract. Only accepts documented fields — any undocumented fields will cause a validation error. Updates are permitted only when the contract has a status of `new`, `under_review`, `waiting_for_client_sign`, `waiting_for_eor_sign`, `waiting_for_employee_contract`, `waiting_for_employee_sign`, `awaiting_deposit_payment`, or `rejected`.\n **Token scopes**: `contracts:write`","tags":["subpackage_eorHiring"],"parameters":[{"name":"contract_id","in":"path","description":"The unique identifier of the employee contract.","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Employee information updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/eor-hiring_updateContractEmployeeInformation_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateEmployeeInformationForEorContractRequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Contract not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateEmployeeInformationForEorContractRequestNotFoundError"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateEmployeeInformationForEorContractRequestInternalServerError"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/EorContractsContractIdEmployeeInformationPatchRequestBodyContentApplicationJsonSchemaData"}}}}}}}},"/eor/job-scopes":{"get":{"operationId":"get-job-scopes","summary":"List of job scope templates for EOR contracts","description":"Returns predefined and custom job scope templates available for EOR contracts, optionally filtered to templates belonging to a specific team.\n **Token scopes**: `organizations:read`","tags":["subpackage_eorJobScopes"],"parameters":[{"name":"team","in":"query","description":"Team public id","required":false,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successfull response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EorJobScopesGetResponsesContentApplicationJsonSchemaItems"}}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Not Found - Organization not linked to profile or no teams found for the organization","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListOfJobScopeTemplatesForEorContractsRequestNotFoundError"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}}}},"/eor/job-scopes/validate":{"post":{"operationId":"validate-job-scope","summary":"Request job scope validation","description":"Validates a job scope description and returns any validation errors. When errors are present, the response also includes a `quote_validation_log_public_id` and pre-populated `data_for_corrected_job_scope_endpoint` to support subsequent correction.\n **Token scopes**: `contracts:write`","tags":["subpackage_eorJobScopes"],"parameters":[{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/eor-job-scopes_validateJobScope_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestJobScopeValidation-v2026-01-01RequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}},"requestBody":{"description":"Run job scope validation","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/EorJobScopesValidatePostRequestBodyContentApplicationJsonSchemaData","description":"details of job scope"}},"required":["data"]}}}}}},"/eor/contracts/{contract_id}/offboarding/review-client-sign-offs":{"post":{"operationId":"create-eor-offboarding-client-sign-off","summary":"Create client sign off","description":"Submits a client sign-off decision—approval or change request—for the offboarding documents of a specific contract during the client sign-off step.\n **Token scopes**: `contracts:write`","tags":["subpackage_eorOffboarding"],"parameters":[{"name":"contract_id","in":"path","description":"The unique identifier of the employee contract.","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Approval submitted successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/eor-offboarding_createEOROffboardingClientSignOff_Response_200"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReviewApproveOrRequestChangesToEorOffboardingDocumentsRequestBadRequestError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReviewApproveOrRequestChangesToEorOffboardingDocumentsRequestUnauthorizedError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReviewApproveOrRequestChangesToEorOffboardingDocumentsRequestForbiddenError"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReviewApproveOrRequestChangesToEorOffboardingDocumentsRequestInternalServerError"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/EorContractsContractIdOffboardingReviewClientSignOffsPostRequestBodyContentApplicationJsonSchemaData"}},"required":["data"]}}}}}},"/eor/contracts/{contract_id}/offboarding/required-information":{"get":{"operationId":"get-eor-contract-offboarding-required-information","summary":"Get additional information required to request employee termination","description":"Returns country-specific mandatory and optional questions, and identifies required supporting documents, that must be provided when initiating the offboarding process for a contract.\n **Token scopes**: `contracts:read`","tags":["subpackage_eorOffboarding"],"parameters":[{"name":"contract_id","in":"path","description":"The unique identifier of the employee contract.","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Ok response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/eor-offboarding_getEORContractOffboardingRequiredInformation_Response_200"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetAdditionalInformationRequiredToRequestEmployeeTerminationRequestBadRequestError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetAdditionalInformationRequiredToRequestEmployeeTerminationRequestUnauthorizedError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetAdditionalInformationRequiredToRequestEmployeeTerminationRequestForbiddenError"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetAdditionalInformationRequiredToRequestEmployeeTerminationRequestInternalServerError"}}}}}}},"/eor/contracts/{contract_id}/offboarding/time-offs":{"get":{"operationId":"get-contract-offboarding-time-offs","summary":"Retrieve Employee Time Off Data for Offboarding","description":"Returns time off entitlements, balances, and upcoming time offs for the employee on the specified contract, optionally scoped to a target end_date. The response includes policy settings and tracking configuration required to support completion of an offboarding request.\n **Token scopes**: `contracts:read`","tags":["subpackage_eorOffboarding"],"parameters":[{"name":"contract_id","in":"path","description":"The unique identifier of the employee contract.","required":true,"schema":{"type":"string"}},{"name":"end_date","in":"query","description":"Desired end date for offboarding","required":false,"schema":{"type":"string","format":"date"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successfully retrieved used time off information","content":{"application/json":{"schema":{"$ref":"#/components/schemas/eor-offboarding_getContractOffboardingTimeOffs_Response_200"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveEmployeeTimeOffDataForOffboardingRequestBadRequestError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveEmployeeTimeOffDataForOffboardingRequestUnauthorizedError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveEmployeeTimeOffDataForOffboardingRequestForbiddenError"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveEmployeeTimeOffDataForOffboardingRequestInternalServerError"}}}}}}},"/eor/contracts/{contract_id}/offboarding/attachments/{attachment_id}":{"get":{"operationId":"get-contract-offboarding-attachment-by-id","summary":"Retrieve offboarding attachment","description":"Downloads the content of a specific attachment associated with the termination for a given contract.\n **Token scopes**: `contracts:read`","tags":["subpackage_eorOffboarding"],"parameters":[{"name":"contract_id","in":"path","description":"The unique identifier of the employee contract.","required":true,"schema":{"type":"string"}},{"name":"attachment_id","in":"path","description":"The unique identifier of the attachment to download.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"File download successful","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveOffboardingAttachmentRequestBadRequestError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveOffboardingAttachmentRequestUnauthorizedError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveOffboardingAttachmentRequestForbiddenError"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveOffboardingAttachmentRequestInternalServerError"}}}}}}},"/eor/contracts/{contract_id}/offboarding":{"get":{"operationId":"get-contract-offboarding","summary":"Retrieve Offboarding Request","description":"Retrieves the offboarding request associated with a specific EOR contract, including termination details, document review status, offboarding request data, and pending employee notification state.\n **Token scopes**: `contracts:read`, `worker:read`","tags":["subpackage_eorOffboarding"],"parameters":[{"name":"contract_id","in":"path","description":"The unique identifier of the employee contract.","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful retrieval of the offboarding request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/eor-offboarding_getContractOffboarding_Response_200"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveOffboardingRequestRequestBadRequestError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveOffboardingRequestRequestUnauthorizedError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveOffboardingRequestRequestForbiddenError"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveOffboardingRequestRequestInternalServerError"}}}}}}},"/eor/contracts/{contract_id}/offboarding/restricted-dates":{"get":{"operationId":"get-contract-offboarding-restricted-dates","summary":"Retrieve restricted offboarding dates","description":"Returns country-specific dates unavailable for offboarding end-date selection—including weekends and public holidays—along with the earliest available end date; optionally filtered by termination type.\n **Token scopes**: `contracts:read`","tags":["subpackage_eorOffboarding"],"parameters":[{"name":"contract_id","in":"path","description":"The unique identifier of the employee contract.","required":true,"schema":{"type":"string"}},{"name":"termination_type","in":"query","description":"Type of offboarding.","required":false,"schema":{"$ref":"#/components/schemas/EorContractsContractIdOffboardingRestrictedDatesGetParametersTerminationType"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful retrieval of restricted dates.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/eor-offboarding_getContractOffboardingRestrictedDates_Response_200"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveRestrictedOffboardingDatesRequestBadRequestError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveRestrictedOffboardingDatesRequestUnauthorizedError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveRestrictedOffboardingDatesRequestForbiddenError"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveRestrictedOffboardingDatesRequestInternalServerError"}}}}}}},"/eor/contracts/{contract_id}/offboarding/resignations/review-pto":{"post":{"operationId":"review-eor-offboarding-pto","summary":"Submit employee resignation PTO review","description":"Submits PTO details for a resignation request, triggers related notifications, and finalizes the PTO review step. Only callable when the resignation status is `AWAITING_PTO`.\n **Token scopes**: `contracts:write`","tags":["subpackage_eorOffboarding"],"parameters":[{"name":"contract_id","in":"path","description":"The unique identifier of the employee contract.","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"PTO review submitted successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/eor-offboarding_reviewEOROffboardingPTO_Response_201"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubmitEmployeeResignationPtoReviewRequestBadRequestError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubmitEmployeeResignationPtoReviewRequestUnauthorizedError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubmitEmployeeResignationPtoReviewRequestForbiddenError"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubmitEmployeeResignationPtoReviewRequestInternalServerError"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/EorContractsContractIdOffboardingResignationsReviewPtoPostRequestBodyContentApplicationJsonSchemaData"}}}}}}}},"/eor/contracts/{contract_id}/offboarding/review-employee-sign-offs":{"post":{"operationId":"review-eor-offboarding-employee-sign-offs","summary":"Submit employee sign-off review for offboarding documents","description":"Records an employee's sign-off decision—approval or change request with feedback—for the offboarding document set of a contract.\n **Token scopes**: `worker:write`","tags":["subpackage_eorOffboarding"],"parameters":[{"name":"contract_id","in":"path","description":"The unique identifier of the employee contract.","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Approval submitted successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/eor-offboarding_reviewEOROffboardingEmployeeSignOffs_Response_200"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubmitEmployeeSignOffReviewForOffboardingDocumentsRequestBadRequestError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubmitEmployeeSignOffReviewForOffboardingDocumentsRequestUnauthorizedError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubmitEmployeeSignOffReviewForOffboardingDocumentsRequestForbiddenError"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubmitEmployeeSignOffReviewForOffboardingDocumentsRequestInternalServerError"}}}}},"requestBody":{"description":"Ok response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/EorContractsContractIdOffboardingReviewEmployeeSignOffsPostRequestBodyContentApplicationJsonSchemaData"}}}}}}}},"/eor/workers/{worker_id}/payslips":{"get":{"operationId":"get-worker-payslips","summary":"Retrieve employee payslip records","description":"Returns a list of payslip records for the specified worker.\n **Token scopes**: `payslips:read`","tags":["subpackage_eorPayslips"],"parameters":[{"name":"worker_id","in":"path","description":"The ID of the worker whose payslips are being retrieved.","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Payslip records successfully retrieved.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/eor-payslips_getWorkerPayslips_Response_200"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}}}},"/eor/contracts/{contract_id}/project-assignment/accept":{"post":{"operationId":"accept-project-assignment","summary":"Accept EOR project assignment as client","description":"Records client approval of a project assignment for an EOR contract, confirming that the terms have been reviewed and accepted.\n **Token scopes**: `contracts:write`","tags":["subpackage_eorProjectAssignment"],"parameters":[{"name":"contract_id","in":"path","description":"The unique identifier of the employee contract.","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"The project assignment was accepted successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/eor-project-assignment_acceptProjectAssignment_Response_204"}}}},"400":{"description":"Bad Request. The request could not be understood or was missing required parameters.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AcceptEorProjectAssignmentAsClientRequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"409":{"description":"The requested version of the document mismatch the current version.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AcceptEorProjectAssignmentAsClientRequestConflictError"}}}},"500":{"description":"Internal server error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AcceptEorProjectAssignmentAsClientRequestInternalServerError"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/EorContractsContractIdProjectAssignment
[...]
